clang 8.0.0

Classes | Public Types | Static Public Member Functions | List of all members
clang::CodeGen::DominatingValue< Address > Struct Template Reference

A specialization of DominatingValue for Address. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Classes
struct | saved_type

## Public Types
typedef Address | type

## Static Public Member Functions
static bool | needsSaving (type value)
static saved_type | save (CodeGenFunction &CGF, type value)
static type | restore (CodeGenFunction &CGF, saved_type value)

## Detailed Description

### template<>
struct clang::CodeGen::DominatingValue< Address >

A specialization of DominatingValue for Address.

Definition at line 172 of file CodeGenFunction.h.

## Member Typedef Documentation

## ◆ type

typedef Address clang::CodeGen::DominatingValue< Address >::type

Definition at line 173 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ needsSaving()

static bool clang::CodeGen::DominatingValue< Address >::needsSaving | ( | type | value | ) |
| inline static

Definition at line 180 of file CodeGenFunction.h.

References clang::CodeGen::Address::getPointer().

## ◆ restore()

static type clang::CodeGen::DominatingValue< Address >::restore | ( | CodeGenFunction & | CGF,
|  | saved_type | value
| ) |  |
| inline static

Definition at line 187 of file CodeGenFunction.h.

## ◆ save()

static saved_type clang::CodeGen::DominatingValue< Address >::save | ( | CodeGenFunction & | CGF,
|  | type | value
| ) |  |
| inline static

Definition at line 183 of file CodeGenFunction.h.

References clang::CodeGen::Address::getAlignment(), and clang::CodeGen::Address::getPointer().

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenFunction.h